RagTime5GraphInternal::GraphicCParser Struct Reference documentation

RagTime5GraphInternal::GraphicCParser Struct Referencefinal

low level: parser of graph cluster More...

Inheritance diagram for RagTime5GraphInternal::GraphicCParser:

## Public Types
enum | { F_clustLink2 , F_dim , F_graphLink =F_dim+3 , F_graphList , F_name =F_graphList+3 , F_name2 =F_name+3 , F_nextId =F_name2+3 , F_unknA , F_unknClustLinkA }

## Public Member Functions
| GraphicCParser (RagTime5ClusterManager &parser, int type)
| constructor
| ~GraphicCParser () final
| destructor
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
std::shared_ptr< ClusterGraphic > | getGraphicCluster ()
| return the current graphic cluster
std::vector< RagTime5ClusterManager::Link > const & | getConditionFormulaLinks () const
| return the condition formula link (unsure)
void | setExpectedType (int id, int type)
| set a data id type
int | getNewZoneToParse () final
| returns to new zone to parse.
void | endZone () final
| end of a start zone call
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse a zone
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Member Functions
bool | parseDataZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a data block
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone

## Protected Attributes
std::shared_ptr< ClusterGraphic > | m_cluster
| the current cluster
int | m_what
| a index to know which field is parsed : 0: graphdata, 1: list, 2: clustLink, graph transform, 3:fSz=91
int | m_linkId
| the link id: 0: unicode, 1: condition, 2: clustLink, 3: clustLink[list], 4: clustLink[8], 5: transformation, 6: some dimension?
std::string | m_fieldName
| the actual field name
std::vector< RagTime5ClusterManager::Link > | m_conditionFormulaLinks
| the conditions formula links (unsure)
std::map< int, int > | m_expectedIdToType
| the expected id
std::stack< int > | m_idStack
| the id stack

## Private Member Functions
| GraphicCParser (GraphicCParser const &orig)=delete
| copy constructor (not implemented)
GraphicCParser & | operator= (GraphicCParser const &orig)=delete
| copy operator (not implemented)

## Additional Inherited Members
Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

low level: parser of graph cluster

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
F_clustLink2 |
F_dim |
F_graphLink |
F_graphList |
F_name |
F_name2 |
F_nextId |
F_unknA |
F_unknClustLinkA |

## Constructor & Destructor Documentation

## ◆ GraphicCParser() [1/2]

RagTime5GraphInternal::GraphicCParser::GraphicCParser | ( | RagTime5ClusterManager & | parser,
|  | int | type )
| inline

constructor

Referenced by GraphicCParser(), and operator=().

## ◆ ~GraphicCParser()

RagTime5GraphInternal::GraphicCParser::~GraphicCParser | ( |  | ) |
| final

destructor

## ◆ GraphicCParser() [2/2]

RagTime5GraphInternal::GraphicCParser::GraphicCParser | ( | GraphicCParser const & | orig | ) |
| privatedelete

copy constructor (not implemented)

## Member Function Documentation

## ◆ endZone()

void RagTime5GraphInternal::GraphicCParser::endZone | ( |  | ) |
| inlinefinalvirtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5GraphInternal::GraphicCParser::getCluster | ( |  | ) |
| inlinefinalvirtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by getCluster().

## ◆ getConditionFormulaLinks()

std::vector< RagTime5ClusterManager::Link > const & RagTime5GraphInternal::GraphicCParser::getConditionFormulaLinks | ( |  | ) | const
| inline

return the condition formula link (unsure)

Referenced by RagTime5Graph::readGraphicCluster().

## ◆ getGraphicCluster()

std::shared_ptr< ClusterGraphic > RagTime5GraphInternal::GraphicCParser::getGraphicCluster | ( |  | ) |
| inline

return the current graphic cluster

Referenced by RagTime5Graph::readGraphicCluster().

## ◆ getNewZoneToParse()

int RagTime5GraphInternal::GraphicCParser::getNewZoneToParse | ( |  | ) |
| inlinefinalvirtual

returns to new zone to parse.

-1: means no preference, 0: means first zone, ...

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ operator=()

GraphicCParser & RagTime5GraphInternal::GraphicCParser::operator= | ( | GraphicCParser const & | orig | ) |
| privatedelete

copy operator (not implemented)

## ◆ parseDataZone()

bool RagTime5GraphInternal::GraphicCParser::parseDataZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlineprotected

parse a data block

Referenced by parseZone().

## ◆ parseField()

bool RagTime5GraphInternal::GraphicCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ parseHeaderZone()

bool RagTime5GraphInternal::GraphicCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlineprotected

parse the header zone

Referenced by parseZone().

## ◆ parseZone()

bool RagTime5GraphInternal::GraphicCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )
| inlinefinalvirtual

parse a zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## ◆ setExpectedType()

void RagTime5GraphInternal::GraphicCParser::setExpectedType | ( | int | id,
|  | int | type )
| inline

set a data id type

Referenced by parseDataZone(), parseField(), and parseHeaderZone().

## Member Data Documentation

## ◆ m_cluster

std::shared_ptr<ClusterGraphic> RagTime5GraphInternal::GraphicCParser::m_cluster
| protected

the current cluster

Referenced by endZone(), getCluster(), getGraphicCluster(), GraphicCParser(), and parseHeaderZone().

## ◆ m_conditionFormulaLinks

std::vector<RagTime5ClusterManager::Link> RagTime5GraphInternal::GraphicCParser::m_conditionFormulaLinks
| protected

the conditions formula links (unsure)

Referenced by endZone(), getConditionFormulaLinks(), and GraphicCParser().

## ◆ m_expectedIdToType

std::map<int, int> RagTime5GraphInternal::GraphicCParser::m_expectedIdToType
| protected

the expected id

Referenced by GraphicCParser(), parseDataZone(), and setExpectedType().

## ◆ m_fieldName

std::string RagTime5GraphInternal::GraphicCParser::m_fieldName
| protected

the actual field name

Referenced by GraphicCParser(), parseDataZone(), parseField(), parseHeaderZone(), and parseZone().

## ◆ m_idStack

std::stack<int> RagTime5GraphInternal::GraphicCParser::m_idStack
| protected

the id stack

Referenced by getNewZoneToParse(), GraphicCParser(), and setExpectedType().

## ◆ m_linkId

int RagTime5GraphInternal::GraphicCParser::m_linkId
| protected

the link id: 0: unicode, 1: condition, 2: clustLink, 3: clustLink[list], 4: clustLink[8], 5: transformation, 6: some dimension?

Referenced by endZone(), GraphicCParser(), parseDataZone(), and parseZone().

## ◆ m_what

int RagTime5GraphInternal::GraphicCParser::m_what
| protected

a index to know which field is parsed : 0: graphdata, 1: list, 2: clustLink, graph transform, 3:fSz=91

Referenced by endZone(), GraphicCParser(), parseDataZone(), parseField(), parseHeaderZone(), and parseZone().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx